# Method: projects.locations.memberships.rbacrolebindings.list

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.memberships.rbacrolebindings/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.memberships.rbacrolebindings/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.memberships.rbacrolebindings/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.memberships.rbacrolebindings/list#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.memberships.rbacrolebindings/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.memberships.rbacrolebindings/list#body.ListMembershipRBACRoleBindingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.memberships.rbacrolebindings/list#body.aspect)
- [Examples](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.memberships.rbacrolebindings/list#examples)
- [Try it!](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.memberships.rbacrolebindings/list#try-it)

Lists all Membership RBACRoleBindings.

### HTTP request

`GET https://gkehub.googleapis.com/v1beta/{parent=projects/*/locations/*/memberships/*}/rbacrolebindings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent (project and location) where the Features will be listed. Specified in the format `projects/*/locations/*/memberships/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `gkehub.rbacrolebindings.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. When requesting a 'page' of resources, `pageSize` specifies number of resources to return. If unspecified or set to 0, all resources will be returned. |
| `pageToken` | `string` Optional. Token returned by previous call to `rbacrolebindings.list` which specifies the position in the list from where to continue listing the resources. |

### Request body

The request body must be empty.

### Response body

List of Membership RBACRoleBindings.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rbacrolebindings": [ { object (`https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.memberships.rbacrolebindings#RBACRoleBinding`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `rbacrolebindings[]` | ``object (`https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.memberships.rbacrolebindings#RBACRoleBinding`)`` The list of Membership RBACRoleBindings. |
| `nextPageToken` | `string` A token to request the next page of resources from the `rbacrolebindings.list` method. The value of an empty string means that there are no more resources to return. |
| `unreachable[]` | `string` List of locations that could not be reached while fetching this list. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).